Đến nội dung


Hình ảnh
- - - - -

[yêu cầu]lisp sửa text dim và gán màu sau khi sửa


  • Please log in to reply
6 replies to this topic

#1 24h.com.vn

24h.com.vn

    biết zoom

  • Members
  • Pip
  • 16 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 July 2012 - 12:48 PM

xin các bác làm giúp e lisp mà khi Edit số liệu dim thì tự động gán cho nó 1 màu nào đó để ta có thể kiểm soát 1 cách dễ dàng.hoặc các bác làm giúp e 1 lisp nhận biết dim đã sửa và gán màu cho nó
  • 0

#2 mathan

mathan

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 20 July 2012 - 01:09 PM

Mình gửi bạn code này, không quá giống ý "tự động" của bạn
Nhưng khi bạn làm xong, đánh lệnh SFD xong, nó sẽ tự động vạch mặt những dim bạn đã edit :D
Màu bạn có thể thay đổi giá trị vào lisp trong ô (setq mau 5); số màu do bạn chọn nhé

;; Free lisp code from CADViet.com - edit by mathan
(defun c:sfd ( / ss)
(setq ss (ssget '((0 . "DIMENSION")
(-4 . "<NOT")
(-4 . "<OR")
(1 . "")
(1 . "*<>*")
(-4 . "OR>")
(-4 . "NOT>")
)
)
)
;(sssetfirst ss ss)
(setq mau 5);; Ban nhap mau vao day
(command "_CHANGE" ss "" "Properties" "Color" mau "")
(princ)
)
Hope U be fun with this code
  • 1
-----------
Hình đã gửi Hãy chia sẻ để thấy có được nhiều hơn điều mình muốn!
Best regard,

#3 24h.com.vn

24h.com.vn

    biết zoom

  • Members
  • Pip
  • 16 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 July 2012 - 01:15 PM

Mình gửi bạn code này, không quá giống ý "tự động" của bạn
Nhưng khi bạn làm xong, đánh lệnh SFD xong, nó sẽ tự động vạch mặt những dim bạn đã edit :D
Màu bạn có thể thay đổi giá trị vào lisp trong ô (setq mau 5); số màu do bạn chọn nhé


;; Free lisp code from CADViet.com - edit by mathan
(defun c:sfd ( / ss)
(setq ss (ssget '((0 . "DIMENSION")
(-4 . "<NOT")
(-4 . "<OR")
(1 . "")
(1 . "*<>*")
(-4 . "OR>")
(-4 . "NOT>")
)
)
)
;(sssetfirst ss ss)
(setq mau 5);; Ban nhap mau vao day
(command "_CHANGE" ss "" "Properties" "Color" mau "")
(princ)
)
Hope U be fun with this code

nhưng khi đi in thì sao hả bác k có cách gán màu à.hoặc là 1 lisp nhận biết dim đã bị sửa
  • 0

#4 mathan

mathan

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 20 July 2012 - 02:10 PM

Bạn dùng thử chưa? Dùng rồi bạn sẽ biết
  • 1
-----------
Hình đã gửi Hãy chia sẻ để thấy có được nhiều hơn điều mình muốn!
Best regard,

#5 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 20 July 2012 - 04:15 PM

Bạn dùng thử chưa? Dùng rồi bạn sẽ biết

Dùng lệnh Find tìm chuỗi "~*<>*"
Dùng chức năng Select_All của lệnh Find
Chọn được rồi -> Muốn đổi gì thì cũng sẽ đơn giản rồi
Ra tiệm in mà quên mang theo Lisp thì sử dụng cái này bạn nhé! :D
  • 1

#6 mathan

mathan

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 20 July 2012 - 04:54 PM

nhưng khi đi in thì sao hả bác k có cách gán màu à.hoặc là 1 lisp nhận biết dim đã bị sửa

LISP mình viết cho bạn là tìm DIM đã bị edit và đồi màu cho nó đấy thui.
Mình thiết nghĩ, ra đến quán in rùi thì chỉ in thui, chứ đặt màu dim sửa lúc đó phỏng có tác dụng gì đâu nhỉ?
Vì khi ra đến quán rùi, thì chỉ in thui.he2 :D
  • 1
-----------
Hình đã gửi Hãy chia sẻ để thấy có được nhiều hơn điều mình muốn!
Best regard,

#7 hoctap1374

hoctap1374

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 July 2013 - 03:28 PM

Mình load lisp này trên cad 2007 không dùng được... bạn kiểm tra lại hộ mình


  • 0